Query the system agent GitHub project¶
Query the GitHub projects available to the system agent.
HTTP
GET $CLOUDSIGMA_API_BASE/workspaces/{workspace_id}/system-agent-setups/{agent_id}/github-projects
Before you call this API¶
Configure the regional API endpoint and authentication, and select the target workspace.
The example below uses $CLOUDSIGMA_API_KEY, $WORKSPACE_ID, $AGENT_ID, and $CHANNEL_INSTANCE_ID (GitHub channel instance IDs).
Request¶
Shell
curl "$CLOUDSIGMA_API_BASE/workspaces/$WORKSPACE_ID/system-agent-setups/$AGENT_ID/github-projects?channel_instance_id=$CHANNEL_INSTANCE_ID" -H "X-API-Key: $CLOUDSIGMA_API_KEY" -H "X-Workspace-ID: $WORKSPACE_ID"
Successful response¶
Returns 200 and a list of items on success.
JSON
{"code":0,"data":{"items":[]}}
The response fields are as follows.
Field |
Type |
Description |
|---|---|---|
|
array |
Selectable GitHub projects. |
Error response¶
JSON
{"code":2,"message":"invalid channel instance"}
Last updated on